%define _unpackaged_files_terminate_build 0
Summary: Apache2 Configuration files for AnNyung LInux
Summary(ko): 안녕리눅스 아파치2 설정 파일
Name: httpd-conf
Version: 1.2
Release: 1%{?dist}
Epoch: 1
License: oops.org
Group: User Interface/AnNyung
Source0: %{name}-%{version}.tar.bz2
BuildRoot: /var/tmp/%{name}-root
BuildArchitectures: noarch
Requires: check-utils
Provides: httpd-conf-package

%define _confdir %{_sysconfdir}/httpd
%define _sysdir %{_sysconfdir}/sysconfig
%define _initdir %{_sysconfdir}/rc.d/init.d

%description
This package includes configuration files for AnNyung LInux apache2.

%description -l ko
이 패키지는 안녕 니룩스 아파치2의 바이너리를 제외한 설정파일들을
포함하고 있다.

%prep
%setup -cTn %{name}-%{version}

%install
[ -d %{buildroot} ] && rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}
%{__tar} xvfpj %{SOURCE0} -C %{buildroot}
%{__mv} %{buildroot}/%{name}-%{version}/* %{buildroot}/
%{__rm} -rf %{buildroot}/%{name}-%{version}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
if [ $1 = 1 ]; then
	/sbin/chkconfig --add httpd
	/sbin/chkconfig --level 345 httpd on
fi

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del httpd
    /bin/rm -fr /var/log/httpd/*
fi

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/*
%attr(0755,root,root) %{_sbindir}/*
%{_datadir}/httpd/gdb-opt.txt

%config(noreplace) %{_confdir}/conf/*.conf
%config(noreplace) %{_confdir}/conf.d/*.conf
%config(noreplace) %{_confdir}/user.d/*.conf
%config(noreplace) %{_sysdir}/*
%config(noreplace) /etc/logrotate.d/httpd
#config(noreplace) %{_confdir}/cert/*
%{_confdir}/conf.d/README
%{_confdir}/conf/magic
%{_initdir}/httpd

%attr(0755,root,root) %dir /home/httpd
%attr(0755,root,root) %dir /home/httpd/cgi-bin
%attr(0755,root,root) %dir /home/httpd/html
%attr(0755,root,root) %dir %{_datadir}/httpd/icons
%attr(0755,root,root) %dir %{_datadir}/httpd/icons/small
%attr(0755,root,root) %dir %{_datadir}/httpd/error
%attr(0755,root,root) %dir %{_datadir}/httpd/error/include
%attr(0644,root,root) %{_datadir}/httpd/icons/README
%attr(0644,root,root) %{_datadir}/httpd/icons/*.*
%attr(0644,root,root) %{_datadir}/httpd/icons/small/*.*
%attr(0644,root,root) %{_datadir}/httpd/error/README
%attr(0644,root,root) %{_datadir}/httpd/error/*.*
%attr(0644,root,root) %{_datadir}/httpd/error/include/*.*
%config(noreplace) %attr(0644,root,root) /home/httpd/html/robots.txt

%dir /var/log/httpd/gdb
%dir /var/log/httpd
%dir %{_datadir}/httpd

%changelog
* Mon Mar 12 2012 JoungKyun.Kim <http://oops.org> 1:1.2-1%{?dist}
- packaged
- add fancy icons
